Name:           stapler-adjunct-timeline
Version:        1.4
Release:        10%{?dist}
Summary:        Timeline widget support for Stapler web framework

# The project is licensed under BSD, but jquery is dual-licensed MIT or GPLv2
License:        BSD and (MIT or GPLv2)
URL:            https://github.com/stapler/stapler-adjunct-timeline
# ./create-tarball.sh
#Source0:        %{name}-%{version}-clean.tar.gz
#Source1:        create-tarball.sh

# FIXME: this tarball bundles jquery
# Since jquery is not in Fedora yet (#1078371), we'll temporarily use bundled version in upstream tarball
# There is a temporary FPC exception for anything bundling jquery:
# https://fedorahosted.org/fpc/ticket/408
Source0:        https://github.com/stapler/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(org.kohsuke.stapler:stapler)

BuildArch:      noarch

%description
This package adds support for timeline widget to Stapler web framework.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Sep 26 2014 Michal Srb <msrb@redhat.com> - 1.4-3
- Enable javascript

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 18 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Initial packaging

